# Windows Static Release Build

You can build a statically-linked binary on Windows that should run
without requiring the SDL `*.dll` files.

```sh
go build -x -v -trimpath -tags static -ldflags "-s -w -H windowsgui"
```

There is a script called [build-windows-static.sh][1] in the scripts
folder to make this easy from Git Bash.

The Makefile supports cross-compiling for this from Linux with the
`cross_windows` target.

[1]: scripts/build-windows-static.sh
