package command

// List of keys supported by all entities
const (
	MOVE_X int = iota
	MOVE_Y
	SET_SPEED
	SET_POSITION
	SET_ANIMATION
)

type Command struct {
	key   int
	value float64
}

func NewCommand(key int, value float64) Command {
	return Command{
		key:   key,
		value: value,
	}
}
